%define _requires_exceptions \
perl(GCItemsLists::GCTextLists)\
perl(GCItemsLists::GCImageLists)


%define name    gcstar
%define version 1.7.0
%define release %mkrel 2

Summary:    A collection manager 
Summary(de): Der Manager für die private Sammlung
Name:       %{name}
Version:    %{version}
Release:    %{release}
License:    GPLv2+
Group:      Databases
URL:        https://gna.org/projects/gcstar/
Source:     %{name}-%{version}.tar.xz
Patch0:         gcstar.path.patch
BuildRoot:  %{_tmppath}/%{name}-buildroot
BuildRequires: desktop-file-utils
BuildArch:  noarch 
Requires:   perl-Gtk2
Requires:   perl-XML-LibXML
Requires:   perl-XML-Simple
Requires:   perl-Ogg-Vorbis-Header
Requires:   perl-MP3-Tag
Requires:   perl-MP3-Info
Requires:   perl-GD
Requires:   perl-DateTime
Requires:   perl-Archive-Zip
Requires:   perl-HTML-Parser
Requires:   perl-Time-Piece
BuildArch:  noarch 
Obsoletes:  gcfilms
Requires:   glibc >= 2.16
Requires:   libstdc++6 >= 4.7.2
Obsoletes:  %name < %version

%description
Gstar is an application that can manage multiple collections:
* Movies
* Video games
* Books
* Music
* Numismatic
* Wines
* Board games
* Comic books
* TV shows episodes
* User defined collections

#german
%description -l de
Mit GCStar katalogisieren Sie Ihren Bestand an:
 * Büchern 
 * Musikalben
 * Filmen auf DVD, DVDR, VHS und (S-)VCD 
 * usw
Für jeden Eintrag stehen Details zum Medientyp und eine Verleihfunktion zur Verfügung. 
Derzeit unterstützt Gstar nur Filme. 


%prep
%setup -q 
%patch0 -p1 -b .path


%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_prefix}
%{__install} -d %{buildroot}%{_bindir}
%{__install} bin/gcstar %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_datadir}
%{__cp} -a share/gcstar %{buildroot}%{_datadir}
%{__install} -d %{buildroot}%{_datadir}/%{name}/lib
%{__cp} -a lib/gcstar/* %{buildroot}%{_datadir}/%{name}/lib
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} man/gcstar.1 %{buildroot}%{_mandir}/man1
gzip %{buildroot}%{_mandir}/man1/gcstar.1

# Install menu entry
%{__cat} > %{name}.desktop << EOF
[Desktop Entry]
Name=GCstar
Comment=Manage your collections
GenericName=Personal collections manager
Exec=gcstar
Icon=%{_datadir}/gcstar/icons/gcstar_64x64.png
Terminal=false
Type=Application
MimeType=application/x-gcstar
Categories=Application;Office;X-MandrivaLinux-MoreApplications-Databases
Encoding=UTF-8
EOF

%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications  \
    %{name}.desktop

#Mime Type
%{__cat} > %{name}.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
        <mime-type type="application/x-gcstar">
                <comment>GCstar collection</comment>
                <glob pattern="*.gcs"/>
        </mime-type>
</mime-info>
EOF

%{__mkdir_p} %{buildroot}%{_datadir}/mime/packages
cp %{name}.xml %{buildroot}%{_datadir}/mime/packages


%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root)
%doc CHANGELOG README LICENSE
%{_datadir}/gcstar
%{_datadir}/gcstar/lib
%{_mandir}/man1/gcstar.1.*
%attr(0755,root,root) %{_bindir}/gcstar
%attr(0755,root,root) %{_datadir}/gcstar/helpers/xdg-open
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml


%changelog
* Tue Aug 06 2013 Texstsar <texstar at gmail.com> 1.7.0-2pclos2013
- fix package

* Sat Sep 08 2012 Ken <lxgator@gmail.com> 1.7.0-1pclos2012
- 1.7.0

* Tue Oct 19 2010 Sproggy <desproggster@gmail.com> 1.6.1-1pclos2010
- 1.6.1

* Fri Nov 20 2009 slick50 <lxgator@gmail.com> 1.5.0-1pclos2010
- 1.5.0

* Mon Jul 08 2009 slick50 <lxgator@gmail.com> 1.5.0.beta1-1pclos2007
- 1.5.0.beta1

* Mon Dec 08 2008 don_crissti <don_crissti@gmx.com> 1.4.3-1pclos2007
- new version

* Fri Sep 26 2008 don_crissti <don_crissti@gmx.com> 1.4.2-1pclos2007
- new version 1.4.2
- updated description
- removed icon fix, fixed upstream
- fixed permission for help/xdg-open, bzipped the man file

* Wed Jan 16 2008 Slick50 <linuxgator.org> 0.3-3pclos2007
- Initial build for PCLinuxOS
- fix section cagetory (texstar)
- remove old menu system (texstar)
- fix icon in menu (texstar)

